# $Id: sandman.spec,v 1.34 2004/09/02 22:37:30 me Exp $

Name: sandman
Version: 0.5.5
Release: alt6

Summary: Automated build environment and repository tracking tool
License: GNU LGPL
Group: Development/Other

Source0: %name-%version.tar.bz2

Requires:  cpio tcl >= 8.4.4-alt1 tclx tcllib >= 1.2 tcl-trf tcl-memchan
BuildArch: noarch

%package server
Summary: Automated build environment and repository tracking tool
Group: Development/Other
PreReq: %_sysconfdir/sudo.d cvs
Requires: %name = %version-%release apt-utils chrootuid >= 1.3-alt2 e2fsprogs mount
Requires: apt >= 0.5.5cnc4.1-alt4 service >= 0.4-alt1

%description
The base and simultaneously the product of %name activity is repository --
it is a consistent and self-contained set of packages, which form a unified
software product. As primary data for %name already existing sources in form
of packages, tarballs, CVS modules could be used.
Further activities with repository, namely change of packages, addition of new ones,
deletion of obsolete packages, and also introduction of repository history are carried
out by %name.

This package contains client-side part of %name

%description server
The base and simultaneously the product of %name activity is repository --
it is a consistent and self-contained set of packages, which form a unified
software product. As primary data for %name already existing sources in form
of packages, tarballs, CVS modules could be used.
Further activities with repository, namely change of packages, addition of new ones,
deletion of obsolete packages, and also introduction of repository history are carried
out by %name.

This package contains a server-side part of %name

%prep
%setup -q -c
%install
%__install -p -m0644 -D etc/sandd.cf %buildroot%_sysconfdir/%name/sandd
%__install -p -m0644 etc/repos %buildroot%_sysconfdir/%name
%__install -p -m0755 -D etc/sandd.init %buildroot%_initdir/sandd
%__install -p -m0640 -D etc/sandd.logrotate %buildroot%_sysconfdir/logrotate.d/%name
%__install -p -m0600 -D etc/sudoers.sample %buildroot%_sysconfdir/sudo.d/%name
%__install -p -m0755 -D sand %buildroot%_bindir/sandcl
%__install -p -m0755 -D sand %buildroot%_bindir/sandctl
%__install -p -m0755 -D sand %buildroot%_sbindir/sandd
%__install -d -m0755 %buildroot%_datadir/sandlib
%__install -p -m0644 sandlib/*.tcl  %buildroot%_datadir/sandlib
%__install -p -m0644 -D doc/sandcl.man %buildroot%_man1dir/sandcl.1
%__mkdir_p %buildroot{%_localstatedir,%_logdir,%_cachedir}/%name

%pre server
/usr/sbin/groupadd -r -f %name &>/dev/null
/usr/sbin/useradd -r -g %name -G cvs,cvsadmin,rpm -d %_sysconfdir/%name -s /dev/null \
	-c "BTE daemon" -M -n %name &>/dev/null ||:

%post server
%post_service sandd

%preun server
%preun_service sandd

%files
%_bindir/sandcl
%_datadir/sandlib
%_man1dir/sandcl.*

%files server
%doc doc/NEWS doc/README* doc/*.sample
%config %_initdir/sandd
%config %_sysconfdir/logrotate.d/%name
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/sandd
%config(noreplace) %_sysconfdir/%name/repos
%attr(0400,root,root) %config(noreplace) %_sysconfdir/sudo.d/%name
%_sbindir/sandd
%_bindir/sandctl
%attr(2770,root,%name) %dir %_logdir/%name
%attr(2770,root,%name) %dir %_cachedir/%name
%attr(2771,root,%name) %dir %_localstatedir/%name

%changelog
* Fri Sep  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.5.5-alt6
- adopted for use with apt >= 0.5.15cnc6-alt6
- samples corrected a bit

* Fri Jan 23 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.5.5-alt5
- new 'stats' command group for repository tracking
- new '-rebuild' option
- %_sysconfdir/sudo.d/%name appeared
- fixed use with dinamically built rpm
- fixes in kernel selection code
- fixes in sandbox destroying

* Sat Jun 28 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.5.5-alt4
- bugfixes in storage code
- updated for new kernel policy

* Sat May 24 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.5.5-alt3
- versioned reqs supported
- updated for new kernel policy (incomplete)
- updated for new service package

* Tue May 13 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.5.5-alt2
- #2545 fixed (most of)

* Tue Apr 15 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.5.5-alt1
- interface with CVS improved

* Fri Mar 14 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.5.4-alt3
- more bugfixing

* Sat Feb 22 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.5.4-alt2
- bugfix release

* Mon Dec 23 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.5.4-alt1
- 0.5.4

* Sat Jan 26 2002 Alexander Bokovoy <ab@altlinux.ru> 0.3-alt2
- Fixed:
    + config files installation
    + sandd installation

* Fri Jan 11 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.3-alt1
- 0.3

* Mon Nov 26 2001 Sergey Bolshakov <s.bolshakov@belcaf.com>  0.2-alt1
- Initial build for ALT Linux distribution.
